---
lang: en
title: 'API docs: context.genericinterceptorchain._constructor_'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.genericinterceptorchain._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [GenericInterceptorChain](./context.genericinterceptorchain.md) &gt; [(constructor)](./context.genericinterceptorchain._constructor_.md)

## GenericInterceptorChain.(constructor)

Create an invocation chain with a list of interceptor functions or binding keys

<b>Signature:</b>

```typescript
constructor(context: C, interceptors: GenericInterceptorOrKey<C>[]);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  context | <code>C</code> | Context object |
|  interceptors | <code>GenericInterceptorOrKey&lt;C&gt;[]</code> | An array of interceptor functions or binding keys |


